2019-12-16 11:08 AEDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000121mercuryBugpublic2010-02-27 18:22
Reporterjuliensf 
Assigned Tojuliensf 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000121: parallel grades do not build on Mac OS 10.6
DescriptionThe .par grades do not build on Mac 0S 10.6 due to the GC not building.

darwin_stop_world.c: In function 'GC_push_all_stacks':
darwin_stop_world.c:105: error: 'i386_thread_state_t' has no member named 'esp'
darwin_stop_world.c:107: error: 'i386_thread_state_t' has no member named 'eax'
darwin_stop_world.c:108: error: 'i386_thread_state_t' has no member named 'ebx'
darwin_stop_world.c:109: error: 'i386_thread_state_t' has no member named 'ecx'
darwin_stop_world.c:110: error: 'i386_thread_state_t' has no member named 'edx'
darwin_stop_world.c:111: error: 'i386_thread_state_t' has no member named 'edi'
darwin_stop_world.c:112: error: 'i386_thread_state_t' has no member named 'esi'
darwin_stop_world.c:113: error: 'i386_thread_state_t' has no member named 'ebp'
make[2]: *** [darwin_stop_world.o] Error 1
make[1]: *** [submake] Error 2
make: *** [boehm_gc] Error 2
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000252

juliensf (administrator)

This was fixed by the upgrading the Boehm GC to version 7.2alpha4.
+Notes

-Issue History
Date Modified Username Field Change
2009-12-18 11:57 juliensf New Issue
2010-02-27 18:22 juliensf Note Added: 0000252
2010-02-27 18:22 juliensf Status new => resolved
2010-02-27 18:22 juliensf Resolution open => fixed
2010-02-27 18:22 juliensf Assigned To => juliensf
+Issue History